com.holonplatform.jaxrs.swagger.v2.internal

## Class DefaultSwaggerConfiguration

- java.lang.Object
- - io.swagger.jaxrs.config.AbstractScanner
  - - io.swagger.jaxrs.config.BeanConfig
    - - com.holonplatform.jaxrs.swagger.v2.internal.DefaultSwaggerConfiguration

- All Implemented Interfaces:
    SwaggerConfiguration, io.swagger.config.Scanner, io.swagger.config.SwaggerConfig

      public class DefaultSwaggerConfiguration
      extends io.swagger.jaxrs.config.BeanConfig
      implements SwaggerConfiguration

  Default `SwaggerConfiguration` implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSwaggerConfiguration()` Default constructor.
    `DefaultSwaggerConfiguration(io.swagger.config.SwaggerConfig parent)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.swagger.models.ExternalDocs` | `getExternalDocs()` Get the external docs reference
    `Collection<String>` | `getIgnoredRoutes()` Get the API routes to ignore.
    `String` | `getReaderClass()` Get the API reader class.
    `Set<String>` | `getResourcePackages()` Get the package names to use to filter the API resource classes.
    `String` | `getScannerClass()` Get the API scanner class.
    `List<io.swagger.models.SecurityRequirement>` | `getSecurity()` Get the security requirements.
    `boolean` | `isPrettyPrint()` Get whether to pretty print the API output.
    `boolean` | `isReadAllResources()` Get whether to read all the API resource classes, diregarding the Api annotation.
    `void` | `setExternalDocs(io.swagger.models.ExternalDocs externalDocs)` Set the external documentation reference.
    `void` | `setIgnoredRoutes(Collection<String> ignoredRoutes)` Set the API definition routes to ignore.
    `void` | `setPrettyPrint(boolean prettyPrint)` Set whether to pretty print the API output.
    `void` | `setReadAllResources(boolean readAllResources)` Set whether to read all the API resource classes, diregarding the Api annotation.
    `void` | `setReaderClass(String readerClass)` Set the API reader class.
    `void` | `setResourcePackages(Set<String> resourcePackages)` Set the package names to use to filter the API resource classes.
    `void` | `setScannerClass(String scannerClass)` Set the API scanner class.
    `void` | `setSecurity(List<io.swagger.models.SecurityRequirement> security)` Set the security requirements.

    - ### Methods inherited from class io.swagger.jaxrs.config.BeanConfig

      `classes, configure, getBasePath, getConfigId, getContact, getContextId, getDescription, getExpandSuperTypes, getFilterClass, getHost, getInfo, getLicense, getLicenseUrl, getResourcePackage, getScan, getScannerId, getSchemes, getSwagger, getTermsOfServiceUrl, getTitle, getVersion, isUsePathBasedConfig, scanAndRead, setBasePath, setConfigId, setContact, setContextId, setDescription, setExpandSuperTypes, setFilterClass, setHost, setInfo, setLicense, setLicenseUrl, setPrettyPrint, setResourcePackage, setScan, setScan, setScannerId, setSchemes, setServletConfig, setTermsOfServiceUrl, setTitle, setUsePathBasedConfig, setVersion`

    - ### Methods inherited from class io.swagger.jaxrs.config.AbstractScanner

      `getPrettyPrint`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.swagger.config.SwaggerConfig

      `configure, getFilterClass`

    - ### Methods inherited from interface io.swagger.config.Scanner

      `getPrettyPrint`

- - ### Constructor Detail

    - #### DefaultSwaggerConfiguration

          public DefaultSwaggerConfiguration()

      Default constructor.

    - #### DefaultSwaggerConfiguration

          public DefaultSwaggerConfiguration(io.swagger.config.SwaggerConfig parent)

      Constructor.
      Parameters:
        `parent` - The paretn configuration from which to inherit the configuration attributes

  - ### Method Detail

    - #### getResourcePackages

          public Set<String> getResourcePackages()

      Description copied from interface: `SwaggerConfiguration`
      Get the package names to use to filter the API resource classes.
      Specified by:
        `getResourcePackages` in interface `SwaggerConfiguration`
      Returns:
        The resource packages

    - #### setResourcePackages

          public void setResourcePackages(Set<String> resourcePackages)

      Set the package names to use to filter the API resource classes.
      Specified by:
        `setResourcePackages` in interface `SwaggerConfiguration`
      Parameters:
        `resourcePackages` - the package names to set

    - #### getReaderClass

          public String getReaderClass()

      Description copied from interface: `SwaggerConfiguration`
      Get the API reader class.
      Specified by:
        `getReaderClass` in interface `SwaggerConfiguration`
      Returns:
        the API reader class

    - #### setReaderClass

          public void setReaderClass(String readerClass)

      Set the API reader class.
      Parameters:
        `readerClass` - the reader class to set

    - #### getScannerClass

          public String getScannerClass()

      Description copied from interface: `SwaggerConfiguration`
      Get the API scanner class.
      Specified by:
        `getScannerClass` in interface `SwaggerConfiguration`
      Returns:
        the API scanner class

    - #### setScannerClass

          public void setScannerClass(String scannerClass)

      Set the API scanner class.
      Parameters:
        `scannerClass` - the scanner class to set

    - #### getIgnoredRoutes

          public Collection<String> getIgnoredRoutes()

      Description copied from interface: `SwaggerConfiguration`
      Get the API routes to ignore.
      Specified by:
        `getIgnoredRoutes` in interface `SwaggerConfiguration`
      Returns:
        the API routes to ignore

    - #### setIgnoredRoutes

          public void setIgnoredRoutes(Collection<String> ignoredRoutes)

      Set the API definition routes to ignore.
      Parameters:
        `ignoredRoutes` - the ignored routes to set

    - #### isReadAllResources

          public boolean isReadAllResources()

      Description copied from interface: `SwaggerConfiguration`
      Get whether to read all the API resource classes, diregarding the Api annotation.
      Specified by:
        `isReadAllResources` in interface `SwaggerConfiguration`
      Returns:
        whether to read all the API resource classes

    - #### setReadAllResources

          public void setReadAllResources(boolean readAllResources)

      Set whether to read all the API resource classes, diregarding the Api annotation.
      Parameters:
        `readAllResources` - whether to read all the API resource classes

    - #### isPrettyPrint

          public boolean isPrettyPrint()

      Description copied from interface: `SwaggerConfiguration`
      Get whether to pretty print the API output.
      Specified by:
        `isPrettyPrint` in interface `SwaggerConfiguration`
      Returns:
        whether to pretty print the API output

    - #### setPrettyPrint

          public void setPrettyPrint(boolean prettyPrint)

      Set whether to pretty print the API output.
      Specified by:
        `setPrettyPrint` in interface `SwaggerConfiguration`
      Specified by:
        `setPrettyPrint` in interface `io.swagger.config.Scanner`
      Overrides:
        `setPrettyPrint` in class `io.swagger.jaxrs.config.AbstractScanner`
      Parameters:
        `prettyPrint` - whether to pretty print the API output

    - #### getExternalDocs

          public io.swagger.models.ExternalDocs getExternalDocs()

      Description copied from interface: `SwaggerConfiguration`
      Get the external docs reference
      Specified by:
        `getExternalDocs` in interface `SwaggerConfiguration`
      Returns:
        the external docs

    - #### setExternalDocs

          public void setExternalDocs(io.swagger.models.ExternalDocs externalDocs)

      Set the external documentation reference.
      Parameters:
        `externalDocs` - the external docs to set

    - #### getSecurity

          public List<io.swagger.models.SecurityRequirement> getSecurity()

      Get the security requirements.
      Specified by:
        `getSecurity` in interface `SwaggerConfiguration`
      Returns:
        the security requirements

    - #### setSecurity

          public void setSecurity(List<io.swagger.models.SecurityRequirement> security)

      Set the security requirements.
      Parameters:
        `security` - the security requirements to set

Copyright © 2019 The Holon Platform. All rights reserved.